Loading...
Searching...
No Matches
casacore::FitsVADesc Class Reference
fits package (libcasa_fits) » FITS_module

Variable Length Array Descriptor. More...

`#include <fits.h>`

## Public Member Functions

| FitsVADesc ()
| FitsVADesc (const FitsVADesc &x)
FitsVADesc & | operator= (const FitsVADesc &x)
| FitsVADesc (int n, int o)
void | set (int n, int o)
int | num () const
int | offset () const

## Protected Attributes

int | no_elements
int | rel_offset

## Friends

ostream & | operator<< (ostream &o, const FitsVADesc &)

## Detailed Description

Variable Length Array Descriptor.

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

Definition at line 130 of file fits.h.

## Constructor & Destructor Documentation

## FitsVADesc() [1/3]

casacore::FitsVADesc::FitsVADesc | ( |  | ) |

inline

Definition at line 133 of file fits.h.

References no_elements, and rel_offset.

Referenced by FitsVADesc(), operator<<, and operator=().

## FitsVADesc() [2/3]

casacore::FitsVADesc::FitsVADesc | ( | const FitsVADesc & | x | ) |

inline

Definition at line 134 of file fits.h.

References FitsVADesc(), no_elements, and rel_offset.

## FitsVADesc() [3/3]

casacore::FitsVADesc::FitsVADesc | ( | int | n,
|  | int | o )

inline

Definition at line 139 of file fits.h.

References no_elements, and rel_offset.

## Member Function Documentation

## num()

int casacore::FitsVADesc::num | ( |  | ) | const

inline

Definition at line 141 of file fits.h.

References no_elements.

## offset()

int casacore::FitsVADesc::offset | ( |  | ) | const

inline

Definition at line 142 of file fits.h.

References rel_offset.

## operator=()

FitsVADesc & casacore::FitsVADesc::operator= | ( | const FitsVADesc & | x | ) |

inline

Definition at line 136 of file fits.h.

References FitsVADesc(), no_elements, and rel_offset.

## set()

void casacore::FitsVADesc::set | ( | int | n,
|  | int | o )

inline

Definition at line 140 of file fits.h.

References no_elements, and rel_offset.

## Friends And Related Symbol Documentation

## operator<<

ostream & operator<< | ( | ostream & | o,
|  | const FitsVADesc & | )

friend

References FitsVADesc().

## Member Data Documentation

## no_elements

int casacore::FitsVADesc::no_elements

protected

Definition at line 144 of file fits.h.

Referenced by FitsVADesc(), FitsVADesc(), FitsVADesc(), num(), operator=(), and set().

## rel_offset

int casacore::FitsVADesc::rel_offset

protected

Definition at line 145 of file fits.h.

Referenced by FitsVADesc(), FitsVADesc(), FitsVADesc(), offset(), operator=(), and set().

The documentation for this class was generated from the following file:

- fits/FITS/fits.h